<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" /> 
<xsl:template match="/">

<xsl:variable name="m2km">0.001</xsl:variable>
<xsl:variable name="m2mi">0.000621371192238</xsl:variable>
<xsl:variable name="m2nm">0.000539956803455</xsl:variable>

<xsl:variable name="ms2kmh">3.6</xsl:variable>
<xsl:variable name="ms2mph">2.23693</xsl:variable>

  <html>
    <head>
      <title>Results for <xsl:value-of select="contest_day/number"/> in <xsl:value-of select="contest_day/gliderclass"/> @ <xsl:value-of select="contest_day/basename"/></title>
    </head>
  <body>
    <div align="center">
      <table border="0">
        <tr>
          <td align="center"><font face="Verdana" size="3"><b><xsl:value-of select="contest_day/contest_name"/></b></font></td>
        </tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/contest_site"/>, 
          <xsl:if test="contest_day/contest_period/from">
            <xsl:value-of select="substring(contest_day/contest_period/from,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,7,4)"/>
          </xsl:if>
          <xsl:if test="contest_day/contest_period/to">
            - <xsl:value-of select="substring(contest_day/contest_period/to,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,7,4)"/>
          </xsl:if>
        </font></td>
        </tr>
        <tr><td></td></tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/gliderclass"/></b></font></td>
        </tr>
        <tr><td></td></tr>
        <tr><td></td></tr>
      </table>
    </div>
    <div align="center">
    <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/number"/>, <xsl:value-of select="substring(contest_day/date,1,2)"/>.<xsl:value-of select="substring(contest_day/date,4,2)"/>.<xsl:value-of select="substring(contest_day/date,7,4)"/>, <xsl:value-of select="contest_day/result_type"/></b></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/script"/><xsl:if test="string-length(contest_day/task/options/tasktime) &gt; 0">, Task time: <xsl:value-of select="substring(contest_day/task/options/tasktime,1,2)"/>h<xsl:text> </xsl:text><xsl:value-of select="substring(contest_day/task/options/tasktime,4,2)"/>min</xsl:if></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/task/desc_pts"/></font></td>
        </tr>
        <tr>
          <td colspan="14"><font face="Tahoma" size="2">Distance du circuit : <xsl:value-of select="contest_day/task/desc_dis"/></font></td>
        </tr>
        <tr>
          <td colspan="14">
            <font face="Tahoma" size="1">
              <xsl:if test="contest_day/info/item">
                <xsl:for-each select="contest_day/info/item">
                  <xsl:value-of select="."/><xsl:if test="not(position()=last())"><xsl:text>, </xsl:text></xsl:if>
                </xsl:for-each>
              </xsl:if>
            </font>
          </td>
        </tr>
        <tr bgcolor="#94ABF6">
          <th><font face="Tahoma" size="2">Place</font></th>
          <th><font face="Tahoma" size="2">No </font></th>
          <th><font face="Tahoma" size="2">Pilote</font></th>
          <th><font face="Tahoma" size="2">Club</font></th>
          <th><font face="Tahoma" size="2">Planeur</font></th>
          <th><font face="Tahoma" size="2">Hcap</font></th>
          <th><font face="Tahoma" size="2">Depart</font></th>
          <th><font face="Tahoma" size="2">Arrivee</font></th>
          <th><font face="Tahoma" size="2">Temps</font></th>
                <td></td>
          <th><font face="Tahoma" size="2">Vitesse</font></th>
                <td></td>
          <th><font face="Tahoma" size="2">Distance</font></th>
          <th><font face="Tahoma" size="2">Points</font></th>
          <th><font face="Tahoma" size="2">Pen.</font></th>
        </tr>

        <xsl:for-each select="contest_day/entries/entry">
        <xsl:sort select="points" data-type="number" order="descending"/>
        <xsl:sort select="scored_speed" data-type="number" order="descending"/>
        <xsl:sort select="scored_distance" data-type="number" order="descending"/>
        <xsl:sort select="scored_start" data-type="text" order="descending"/>
        <xsl:sort select="contestant/pilot/lastname" data-type="text" order="ascending"/>
          <tr>
            <xsl:if test="position() mod 2 = 0">
              <xsl:attribute name="bgcolor">#F5F5F5</xsl:attribute>
            </xsl:if>
            <xsl:choose>
              <xsl:when test="rank &gt; 0">
                <td><font face="Tahoma" size="2"><xsl:value-of select="str_rank"/>.</font></td>
              </xsl:when>
              <xsl:otherwise>
                <td><font face="Tahoma" size="2">HC</font></td>
              </xsl:otherwise>
            </xsl:choose>
            <td>
              <font face="Tahoma" size="2">
                <xsl:choose>
                  <xsl:when test="igc_file">
                    <a><xsl:attribute name="href"><xsl:value-of select="igc_file"/></xsl:attribute><xsl:value-of select="contestant/glider/compid"/></a>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="contestant/glider/compid"/>
                  </xsl:otherwise>
                </xsl:choose>
              </font>
            </td>
            <td><font face="Tahoma" size="2"><b><xsl:value-of select="contestant/pilot/givenname"/><xsl:text> </xsl:text><xsl:value-of select="contestant/pilot/lastname"/></b></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/pilot/country"/></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/glider/modeltype"/></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/glider/handicap"/></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="scored_start"/></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="scored_finish"/></font></td>
            <td><font face="Tahoma" size="2"><xsl:value-of select="scored_duration"/></font></td>
            <td></td>
            <td align="right"><font face="Tahoma" size="2"><xsl:if test="scored_speed &gt; 0"><xsl:value-of select="format-number(scored_speed*$ms2kmh,'0.0km/h')"/></xsl:if></font></td>
            <td></td>
            <td align="right"><xsl:if test="scored_distance"><font face="Tahoma" size="2"><xsl:value-of select="format-number(scored_distance*$m2km,'0.0km')"/></font></xsl:if></td>
            <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="points"/></b></font></td>
            <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="penalty"/></font></td>
          </tr>
        </xsl:for-each>
        <tr>
          <td colspan="14">
            <font face="Tahoma" size="1">
            <xsl:for-each select="contest_day/entries/entry">
              <xsl:if test="string-length(comment/item) &gt; 0">
                <xsl:value-of select="contestant/glider/compid"/> - <xsl:value-of select="comment/item"/><br />
              </xsl:if>
            </xsl:for-each>
            </font>          
          </td>
        </tr>
    </table>
    <br />
    <img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute></img> <font face="Tahoma" size="1"> Resultats par SeeYou</font>
    </div>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>