﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" /> 

<xsl:template match="/">

<xsl:variable name="m2km">0.001</xsl:variable>
<xsl:variable name="m2mi">0.000621371192238</xsl:variable>
<xsl:variable name="m2nm">0.000539956803455</xsl:variable>


  <html>
    <head>
      <title>Task for <xsl:value-of select="contest_day/number"/> in <xsl:value-of select="contest_day/gliderclass"/> @ <xsl:value-of select="contest_day/basename"/></title>
    </head>
  <body>
    <div align="center">
      <table border="0">
        <tr>
          <td align="center"><font face="Verdana" size="3"><b><xsl:value-of select="contest_day/contest_name"/></b></font></td>
        </tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/contest_site"/>, 
          <xsl:if test="contest_day/contest_period/from">
            <xsl:value-of select="substring(contest_day/contest_period/from,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,7,4)"/>
          </xsl:if>
          <xsl:if test="contest_day/contest_period/to">
            - <xsl:value-of select="substring(contest_day/contest_period/to,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,7,4)"/>
          </xsl:if>
        </font></td>
        </tr>
        <tr><td></td></tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/gliderclass"/></b></font></td>
        </tr>
        <tr><td></td></tr>
        <tr><td></td></tr>
      </table>
    </div>
    <div align="center">
    <table border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td colspan="12"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/number"/>, <xsl:value-of select="substring(contest_day/date,1,2)"/>.<xsl:value-of select="substring(contest_day/date,4,2)"/>.<xsl:value-of select="substring(contest_day/date,7,4)"/></b></font></td>
      </tr>
      <tr>
        <td colspan="12"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/script"/><xsl:if test="string-length(contest_day/task/options/tasktime) &gt; 0">, Task time: <xsl:value-of select="substring(contest_day/task/options/tasktime,1,2)"/>h<xsl:text> </xsl:text><xsl:value-of select="substring(contest_day/task/options/tasktime,4,2)"/>min</xsl:if></font></td>
      </tr>
      <tr bgcolor="#94ABF6">
        <th align="left"><font face="Tahoma" size="2">Points de virage</font></th>
        <th><font face="Tahoma" size="2">Distance</font></th>
        <th><font face="Tahoma" size="2">Direction</font></th>
        <th><font face="Tahoma" size="2">Zone d'observation</font></th>
      </tr>
      <xsl:for-each select="contest_day/task/points/point[@style &lt; 5]">
        <tr>
          <td><font face="Tahoma" size="2"><b><xsl:value-of select="name"/></b></font></td>
          <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="format-number(distance*$m2km,'0.0 km')"/></font></td>
          <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="format-number(crsin,'000°')"/></font></td>
          <td valign="middle"><font face="Tahoma" size="1"><xsl:value-of select="oz/desc"/></font></td>
        </tr>
      </xsl:for-each>
      <tr bgcolor="#F5F5F5">
        <td align="right"><font face="Tahoma" size="2"><b>Total:</b></font></td>
        <td colspan="3"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/task/desc_dis"/></b></font></td>
      </tr>
    </table>
    <br />
    <img><xsl:attribute name="src"><xsl:value-of select="contest_day/screenshot"/></xsl:attribute></img><br/>
    <br />
    <font face="Tahoma" size="2">
    <xsl:if test="contest_day/notes">
      <b>Task Notes:</b><br />
      <xsl:for-each select="contest_day/notes/item">
        <xsl:value-of select="."/><br />
      </xsl:for-each>
    </xsl:if>
    </font>
    <br />
    <img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute></img> <font face="Tahoma" size="1"> Resultats par SeeYou</font>
    </div>
  </body>
  </html>
  
</xsl:template>

</xsl:stylesheet>