<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" /> 
<xsl:template match="/">

<xsl:variable name="m2km">0.001</xsl:variable>
<xsl:variable name="m2mi">0.000621371192238</xsl:variable>
<xsl:variable name="m2nm">0.000539956803455</xsl:variable>

  <html>
    <head>
      <title>Total results after <xsl:value-of select="contest_day/number"/> for <xsl:value-of select="contest_day/gliderclass"/> @ <xsl:value-of select="contest_day/basename"/></title>
    </head>
  <body>
    <div align="center">
      <table border="0">
        <tr>
          <td align="center"><font face="Verdana" size="3"><b><xsl:value-of select="contest_day/contest_name"/></b></font></td>
        </tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><xsl:value-of select="contest_day/contest_site"/>, 
          <xsl:if test="contest_day/contest_period/from">
            <xsl:value-of select="substring(contest_day/contest_period/from,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/from,7,4)"/>
          </xsl:if>
          <xsl:if test="contest_day/contest_period/to">
            - <xsl:value-of select="substring(contest_day/contest_period/to,1,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,4,2)"/>.<xsl:value-of select="substring(contest_day/contest_period/to,7,4)"/>
          </xsl:if>
        </font></td>
        </tr>
        <tr><td></td></tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><b><xsl:value-of select="contest_day/gliderclass"/> - Overall results after <xsl:value-of select="/contest_day/number"/></b></font></td>
        </tr>
        <tr><td></td></tr>
        <tr><td></td></tr>
      </table>
    </div>
    <div align="center">
    <table border="0" cellspacing="0" cellpadding="2">
      <tr bgcolor="#94ABF6">
        <th><font face="Tahoma" size="2">Place</font></th>
        <th><font face="Tahoma" size="2">No</font></th>
        <th><font face="Tahoma" size="2">Pilote</font></th>
        <th><font face="Tahoma" size="2">Club</font></th>
        <th><font face="Tahoma" size="2">Planeur</font></th>
        <th><font face="Tahoma" size="2">Hcap</font></th>
        <th><font face="Tahoma" size="2">Total</font></th>
      </tr>
      <xsl:for-each select="contest_day/entries/entry">
      <xsl:sort select="str_total" data-type="number" order="descending"/>
      <xsl:sort select="rank_total" data-type="number" order="descending"/>
      <xsl:sort select="contestant/pilot/lastname" data-type="text" order="ascending"/>
        <tr>
          <xsl:if test="position() mod 2 = 0">
            <xsl:attribute name="bgcolor">#F5F5F5</xsl:attribute>
          </xsl:if>
          <xsl:choose>
            <xsl:when test="rank &gt; 0">
              <td><font face="Tahoma" size="2"><xsl:value-of select="rank_total"/>.</font></td>
            </xsl:when>
            <xsl:otherwise>
              <td><font face="Tahoma" size="2">HC</font></td>
            </xsl:otherwise>
          </xsl:choose>
          <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/glider/compid"/></font></td>
          <td><font face="Tahoma" size="2"><b><xsl:value-of select="contestant/pilot/lastname"/><xsl:text> </xsl:text><xsl:value-of select="contestant/pilot/givenname"/></b></font></td>
          <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/pilot/country"/></font></td>
          <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/glider/modeltype"/></font></td>
          <td><font face="Tahoma" size="2"><xsl:value-of select="contestant/glider/handicap"/></font></td>
          <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="str_total"/></b></font></td>
        </tr>
      </xsl:for-each>
    </table>
    <br />
    <img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute></img> <font face="Tahoma" size="1"> Resultats par SeeYou</font>
    </div>
  </body>
  </html>
  
</xsl:template>

</xsl:stylesheet>