<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output indent="yes" method="html" encoding="utf-8" /> 

<xsl:key name="pilotCode" match="/contest/contest_days/contest_day[last()]/entries/entry" use="@contestant"/>
<xsl:key name="dayCode" match="/contest/contest_days/contest_day/entries/entry" use="@contestant"/>

<xsl:template match="contest">

  <html>
    <head>
      <title>Total results for <xsl:value-of select="gliderclass"/> @ <xsl:value-of select="basename"/></title>
    </head>
  <body>
    <div align="center">
      <table border="0">
        <tr>
          <td align="center"><font face="Verdana" size="3"><b><xsl:value-of select="name"/></b></font></td>
        </tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><xsl:value-of select="site"/>, 
          <xsl:if test="period/from">
            <xsl:value-of select="substring(period/from,1,2)"/>.<xsl:value-of select="substring(period/from,4,2)"/>.<xsl:value-of select="substring(period/from,7,4)"/>
          </xsl:if>
          <xsl:if test="period/to">
            - <xsl:value-of select="substring(period/to,1,2)"/>.<xsl:value-of select="substring(period/to,4,2)"/>.<xsl:value-of select="substring(period/to,7,4)"/>
          </xsl:if>
          </font></td>
        </tr>
        <tr><td></td></tr>
        <tr>
          <td align="center"><font face="Tahoma" size="2"><b><xsl:value-of select="gliderclass"/></b></font></td>
        </tr>
        <tr><td></td></tr>
        <tr><td></td></tr>
      </table>
    </div>
    <div align="center">
		<table border="0" cellspacing="0" cellpadding="2">
		  <tr bgcolor="#94ABF6">
			  <th><font face="Tahoma" size="2">#</font></th>
			  <th><font face="Tahoma" size="2">Pts</font></th>
			  <th><font face="Tahoma" size="2">No</font></th>
			  <th><font face="Tahoma" size="2">Pilote</font></th>
			  <th><font face="Tahoma" size="2">Club</font></th>
			  <th><font face="Tahoma" size="2">Planeur</font></th>
			  <th><font face="Tahoma" size="2">Hcap</font></th>
		    <xsl:for-each select="contest_days/contest_day">
	      <xsl:sort data-type="number" select="@did" order="ascending"/>
		      <xsl:if test="@day_status &gt; 0 and @day_status &lt; 4">
            <th colspan="2"><font face="Tahoma" size="2"><xsl:value-of select="substring(date,1,2)"/>.<xsl:value-of select="substring(date,4,2)"/></font></th>
          </xsl:if>
		    </xsl:for-each>
		  </tr>
		  <xsl:for-each select="contestants/contestant">
		  <xsl:sort data-type="number" select="key('pilotCode',@cid)/str_total" order="descending"/>
      <xsl:variable name="pilotID" select="@cid"/>

        <tr>
          <xsl:if test="position() mod 2 = 0">
            <xsl:attribute name="bgcolor">#F5F5F5</xsl:attribute>
          </xsl:if>
          <xsl:choose>
            <xsl:when test="key('pilotCode',@cid)/rank_total &gt; 0">
    		      <td><font face="Tahoma" size="2"><xsl:value-of select="key('pilotCode',@cid)/rank_total"/></font></td>
            </xsl:when>
            <xsl:otherwise>
              <td><font face="Tahoma" size="2">HC</font></td>
            </xsl:otherwise>
          </xsl:choose>
		      <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="key('pilotCode',@cid)/str_total"/></b></font></td>
		      <td><font face="Tahoma" size="2"><xsl:value-of select="glider/compid"/></font></td>
		      <td><font face="Tahoma" size="2"><b><xsl:value-of select="pilot/lastname"/><xsl:text> </xsl:text><xsl:value-of select="pilot/givenname"/></b></font></td>
		      <td><font face="Tahoma" size="2"><xsl:value-of select="pilot/country"/></font></td>
		      <td><font face="Tahoma" size="2"><xsl:value-of select="glider/modeltype"/></font></td>
		      <td><font face="Tahoma" size="2"><xsl:value-of select="glider/handicap"/></font></td>

		      <xsl:for-each select="/contest/contest_days/contest_day">
		      <xsl:sort data-type="number" select="@did" order="ascending"/>
		      <xsl:if test="@day_status &gt; 0 and @day_status &lt; 4">
		        <xsl:choose>
		          <xsl:when test="entries/entry[@contestant=$pilotID]/rank = 1">
    	          <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="entries/entry[@contestant=$pilotID]/rank"/></b></font></td>
    	        </xsl:when>
    	        <xsl:when test="entries/entry[@contestant=$pilotID]/rank &gt; 1">
    	          <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="entries/entry[@contestant=$pilotID]/rank"/></font></td>
    	        </xsl:when>
    	        <xsl:otherwise>
    	          <td align="right"><font face="Tahoma" size="2">HC</font></td>
    	        </xsl:otherwise>
    	      </xsl:choose>
 		        <td><font face="Tahoma" size="1">(<xsl:value-of select="entries/entry[@contestant=$pilotID]/points"/>)</font></td>
 		      </xsl:if>
		      </xsl:for-each>
		    </tr>
		  </xsl:for-each>
		</table>
		<br />
    <img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute></img> <font face="Tahoma" size="1"> Resultats par SeeYou</font>
		</div>
  </body>
  </html>
  
</xsl:template>
</xsl:stylesheet>
